std::__exception_ptr::exception_ptr Class Reference

## Public Member Functions

| exception_ptr (const exception_ptr &) noexcept
| exception_ptr (exception_ptr &&__o) noexcept
| exception_ptr (nullptr_t) noexcept
const class std::type_info * | __cxa_exception_type () const noexcept
| operator bool () const noexcept
exception_ptr & | operator= (const exception_ptr &) noexcept
exception_ptr & | operator= (exception_ptr &&__o) noexcept
void | swap (exception_ptr &) noexcept

## Friends

bool | operator!= (const exception_ptr &__x, const exception_ptr &__y) noexcept
bool | operator== (const exception_ptr &__x, const exception_ptr &__y) noexcept
exception_ptr | std::current_exception () noexcept
template<typename _Ex >
exception_ptr | std::make_exception_ptr (_Ex) noexcept
void | std::rethrow_exception (exception_ptr)

## Related Functions

(Note that these are not member functions.)
void | swap (exception_ptr &__lhs, exception_ptr &__rhs)

## Detailed Description

An opaque pointer to an arbitrary exception.

Definition at line 90 of file exception_ptr.h.

The documentation for this class was generated from the following file:

- exception_ptr.h